/* Calcul de la moyenne des valeurs contenues  */
/* dans un tableau de reels double             */

public class MoyenneTableauEnConsole {

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("MoyenneTableau");
    /* Taille du tableau                       */
    final int TAILLE = 20;
    /* Déclaration du tableau                  */
    double [] tab = new double[TAILLE];
    int i;
    double moyenne;
    /* Remplissage du tableau                  */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      tab[i] = Math.random(); }
    /* Affichage des valeurs du tableau        */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      Console.afficherln(tab[i]); }
    Console.sautDeLigne();
    /* Calcul puis affichage de la moyenne     */
    /* des valeurs du tableau                  */
    moyenne = 0.0;
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      moyenne = moyenne+tab[i]; }
    moyenne = moyenne/tab.length;
    Console.afficherln("La moyenne est ",moyenne);
  }
}